#ifndef _KANJI_H_INCLUDE
#ifdef iskanji
#undef iskanji
#endif
#define iskanji(c)  (langtype[(int)((unsigned char)(c))] & 1)
#define iskanji2(c) (langtype[(int)((unsigned char)(c))] & 2)

struct _langtypetable {
	unsigned char *table;
	char          *symbol;
};
extern char *langtypesymbol;
extern unsigned char *langtype;
extern struct _langtypetable langtypetable[];

#if defined(__STDC__) || defined(MSDOS)
int   set_lang_type(char *symbol);
int   kpart(char *pLim,char *pChr);
int   jstrlen(char *s);
int   jstlen(char *s, int len);
char *jnthchar(char *s,int n);
char *jindex(char *s,int c);
char *jrindex(char *s,int c);
char *jstrlower(char *s);
int   jstricmp(char *s1, char *s2);
int   jstrnicmp(char *s1, char *s2, int n);
#else
int   set_lang_type();
int   kpart();
int   jstrlen();
int   jstlen();
char *jnthchar();
char *jindex();
char *jrindex();
char *jstrlower();
int   jstricmp();
int   jstrnicmp();
#endif
#ifdef strlwr
#undef strlwr
#endif
#define strlwr  jstrlower
#ifdef index
#undef index
#endif
#define index   jindex
#ifdef rindex
#undef rindex
#endif
#define rindex  jrindex
#define _KANJI_H_INCLUDE 1
#endif /* _KANJI_H_INCLUDE */
